#include "teacher.h"

Teacher::Teacher(QObject *parent) : QObject(parent)
{

}

void Teacher::wake_up(){
    qDebug() << "请睡觉的学生站起来，出去跑两圈";
}

void Teacher::wake_up(const QString &msg)
{
    qDebug() << "学生因为 "<<msg<<" 原因上课睡觉了";
}
